Subject: bug#32895: file progress reporter crashes on small files

From: Mark H Weaver <[email-masked]>
Date: Thu, 04 Oct 2018 19:19:53 -0400

And now I'm running into the same bug repeatedly while trying to test
build security updates for IceCat, which involve downloading a great
many small patches from Mozilla.

Bah.  Something is very broken here, and now it's interfering with my
attempts to deploy critical security updates.  I'm thinking it might be
time to start reverting some of the recent commits that seem related to
this.

       Mark